Dcard API
台灣最大的匿名社群平台 — 看板、貼文與匿名身分。
- 看板:依別名瀏覽(例如
trending、talk、relationship) - 搜尋:跨所有看板的全文搜尋
- 匿名身分:依用戶名稱查詢個人檔案
- 所有端點使用住宅代理(Cloudflare Bot Management)
看板
GET /dcard/forums/:alias — 2 點數
依別名取得看板資訊。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
alias | string | 是 | — | 看板別名(例如 trending、talk、relationship) |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/dcard/forums/trending回應
{
"alias": "trending",
"name": "時事",
"description": "時事板歡迎針對國內外議題、國家政策、即時新聞等討論...",
"isSchool": false,
"postCount": {
"last30Days": 814
},
"subscriptionCount": 713805
}GET /dcard/forums/:alias/posts — 2 點數
取得看板的貼文。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
alias | string | 是 | — | 看板別名 |
before | string | 否 | — | 分頁游標(貼文 ID) |
count | integer | 否 | 30 | 貼文數量 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/dcard/forums/trending/posts?count=10"回應
{
"posts": [
{
"id": 261032589,
"title": "Taq之母錢嘉韻教授逝世",
"excerpt": "也是剛剛看FB才知道錢老師於前幾日逝世了...",
"content": "",
"createdAt": "2026-03-07T16:50:31.137Z",
"updatedAt": "2026-03-07T16:50:31.137Z",
"forumAlias": "trending",
"forumName": "時事",
"commentCount": 0,
"likeCount": 0,
"topics": [],
"media": [],
"anonymousSchool": false,
"anonymousDepartment": true,
"withImages": false,
"withVideos": false,
"pinned": false
}
// ... more posts
]
}搜尋
GET /dcard/posts/search?q=xxx — 3 點數
依關鍵字搜尋 Dcard 貼文。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
q | string | 是 | — | 搜尋關鍵字 |
limit | integer | 否 | 30 | 結果數量 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/dcard/posts/search?q=台大"回應
{
"posts": [
{
"id": 260959876,
"title": "台大放榜會偷跑嗎",
"excerpt": "更 看起來沒料 頂多當天早上9點,會嗎...",
"content": "",
"createdAt": "2026-02-26T13:09:14.537Z",
"updatedAt": "2026-03-06T01:22:04.650Z",
"forumAlias": "graduate_school",
"forumName": "研究所",
"commentCount": 12,
"likeCount": 23,
"topics": [],
"media": [
{
"url": "https://...",
"width": 512,
"height": 512,
"type": "image/sticker"
}
],
"anonymousSchool": false,
"anonymousDepartment": true,
"withImages": false,
"withVideos": false,
"pinned": false
}
// ... more posts
]
}匿名身分
GET /dcard/personas/:username — 2 點數
依用戶名稱取得 Dcard 身分資料。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
uid | string | 是 | — | 用戶匿名身分 UID |
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
uid | string | 是 | — | 用戶匿名身分 UID |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/dcard/personas/a68231044回應
{
"username": "a68231044",
"nickname": "N腎",
"postCount": 4824
}